%global gnulib_ver 20140202
%define anolis_release 2

Name: libpipeline
Version: 1.5.7
Release: %{anolis_release}%{?dist}
License: GPLv3+
Summary: A pipeline manipulation library
URL: http://libpipeline.nongnu.org/
Source: http://download.savannah.gnu.org/releases/libpipeline/libpipeline-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: libtool, check-devel
BuildRequires: make

Provides: bundled(gnulib) = %{gnulib_ver}

%description
libpipeline is a C library for setting up and running pipelines of
processes, without needing to involve shell command-line parsing which is
often error-prone and insecure. This alleviates programmers of the need to
laboriously construct pipelines using lower-level primitives such as fork(2)
and execve(2).

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Header files and libraries for pipeline manipulation library
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
libpipeline-devel contains the header files and libraries needed
to develop programs that use libpipeline library.

%prep
%setup -q

%build
%{configure}
%make_build

%check
make check

%install
%make_install prefix=%{_prefix}
rm $RPM_BUILD_ROOT/%{_libdir}/libpipeline.la

%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_libdir}/libpipeline.so.*

%files doc
%doc README.md ChangeLog

%files devel
%{_libdir}/libpipeline.so
%{_libdir}/pkgconfig/libpipeline.pc
%{_includedir}/*.h
%{_mandir}/man3/*

%changelog
* Wed Mar 13 2024 dash <dash@nfschina.com> - 1.5.7.2
- update to 1.5.7

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.5.5-2
- add doc package

* Thu Mar 10 2022 DengXiewei <dengxiewei@linux.alibaba.com> - 1.5.5-1
- Init from upstream 1.5.5
